Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1882 - problem with script /etc/rc.d/init.d/autofs
Summary: problem with script /etc/rc.d/init.d/autofs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: autofs
Version: 5.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-30 15:30 UTC by Dimitri Papadopoulos
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-10 03:09:28 UTC


Attachments (Terms of Use)

Description Dimitri Papadopoulos 1999-03-30 15:30:19 UTC
The /etc/rc.d/init.d/autofs script should be enhanced.

At office, user home directories are dispatched on many
Solaris servers. Precise physical location is described in
a NIS map on a Solaris NIS server. However, Solaris
workstations keep a local auto_master master map.

The current state of function getmounts() does not permit
to mix a local auto.master master map with a NIS auto_home
map. We had to hack the script to auto-mount user
directories.


I would like to contribute and modifiy this script, so that
local and NIS maps can be mixed, like on Solaris platform.
However, I don't know who is responsible for this script.
The man page says:
	This manual page was written by Christoph Lameter
	<chris@waterf.org>, for the Debian GNU/Linux system.
	Edited by H. Peter Anvin <hpa@transmeta.com>. Edited
	by Michael K. Johnson <johnsonm@redhat.com> to match
	Red Hat Linux.
So I guess the script has been enhanced by Red Hat. If not,
please tell me and I will contact the original maintainer.

Comment 1 Preston Brown 1999-03-30 20:47:59 UTC
I would appreciate any enhancements to the script that you have.
Please send them directly to me, and I will make sure they get
integrated.

Comment 2 Michael K. Johnson 1999-04-10 03:09:59 UTC
We are currently integrating patches into our development version
which provide precisely what you are asking for: supporting random
mixes of local maps and yp maps.


Note You need to log in before you can comment on or make changes to this bug.